Затмение не генерирует MainActivity.java & activity_main.xml

? Vivek Warde @ | Original: StackOverFlow
---

При создании нового Android проекта приложения MainActivity.java под его именем пакета должны быть сгенерированы автоматически SRC папки и усилителя ; activity_main.xml Должны быть созданы внутри папки макета. Но он не создан .

Затмение не генерирует MainActivity.java & activity_main.xml

А также в манифестом Безразлично ` генерировать этот POC

 <activity
        android:name="info.androidhive.slidingmenu.MainActivity"
        android:label="@string/app_name" >
        <intent-filter>
            <action android:name="android.intent.action.MAIN" />

            <category android:name="android.intent.category.LAUNCHER" />
        </intent-filter>
    </activity>

Тем не менее, я добавил все эти вещи вручную.

activity_main.xml затем показывает эту ошибку

 Eclipse is loading framework information and the layout library from the SDK folder.
 activity_main.xml will refresh automatically once the process is finished.

MainActivity.java не признает поле макета в setContentView(R.layout.activity_main)

А вчера я downloalded обновления с SDK Manager, эти инструменты устанавливался / обновлялся Затмение не генерирует MainActivity.java & activity_main.xml  Затмение не генерирует MainActivity.java & activity_main.xml

Я пытался очистки проект, изменяя рабочее пространство, перезапуск затмение & Amp; окна, но это не помогает :(

---

Top 5 ответ

1Little Child @

Существуетвозможность выбора того, чтобы произвести MainActivity и activity_main.xml . Вы уверены, что вы выбрали их? Убедитесь в том, чтобы выбрать это.

Затмение не генерирует MainActivity.java & activity_main.xml

Без этого, мой проект выглядиттак же, как ваш :

Затмение не генерирует MainActivity.java & activity_main.xml

2TGMCians @

As one guy said

Я была такая же проблема, хотя я скачал Android SDK и сделалчистую установку, но я просто решил это . Я пытался нажмите " Помощь " -> " Проверить наличие обновлений ", а затем я получил всплывающее сообщение о том, что все было на сегодняшний день, но после дальнейших исследований выяснилось, для меня это не было до настоящего времени. Что нужно сделать, это нажать кнопку " Помощь" -> " Установить новое программное обеспечение " и установить (это будет обновлять его ) из этого URL: https://dl-ssl.google.com/android/eclipse/

Смотрите здесь нить https://code.google.com/p/android/issues/detail?id=66647

3Solution @

Эти решения не работает для меня тоже, но то, что решить проблему для меня было удаления AppCompat проекты, которые автоматически создаются, когда мы создаем новый андроид приложения проекта.

4user3562859 @

То же самое случилось со мной несколько дней назад после обновления SDK через Android SDK Manager. При перезагрузке затмение, я получил всплывающее окно, что мои Android Tool развития ( ADT ) илиплагин для Eclipse, требуется обновление до версии 22.6.2

Вотинформация http://developer.android.com/tools/sdk/eclipse-adt.html

и нажмите обновления ADT, загрузка инструкции там.

Я скопировал его здесь на всякий случай,

Скачать ADT Plugin Запустите Eclipse, затем выберите Help > Install New Software . Нажмите кнопку Добавить, в верхнем правом углу . В хранилище диалоге Добавить окне введите " ADT Plugin " в качестве имени и адресу для расположения :  https://dl-ssl.google.com/android/eclipse/ Примечание:Android Developer Tools обновление сайта требуется безопасное соединение . Убедитесь, чтоURL обновление сайта вы вводите начинается с HTTPS. Нажмите OK. В наличии диалоге Software, установите флажок рядом с Developer Tools и нажмите кнопку Далее . В следующем окне вы увидитесписок инструментов для загрузки. Нажмите кнопку Далее. Прочитайте и примите условия лицензионного соглашения, а затем нажмите кнопку Готово. Если вы получаете предупреждение системы безопасности говорят, чтоподлинность и достоверность программного обеспечения, не может быть установлена, нажмите кнопку ОК. После завершенияустановки, перезагрузите Eclipse.

Надеюсь, что это помогает.

5doohsam @

Я был с той же проблемой . Я попытался создать проект с различных целевых SDK. Я использовал API 16 Android 4.1 и работал .